Package uk.ac.starlink.pal

# Class Galactic

java.lang.Object
uk.ac.starlink.pal.Galactic

public class Galactic extends Object
Galactic longitude and latitude (radians)

## Constructor Summary

Constructors
Constructor
Description
`Galactic(double a, double b)`
Galactic longitude and latitude

## Method Summary

Modifier and Type
Method
Description
`double`
`getLatitude()`
Get the Latitude
`double`
`getLongitude()`
Get the Longitude
`String`
`toString()`
Get the text form of the Galactic in the form [long,lat]

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Galactic

public Galactic(double a, double b)
Galactic longitude and latitude

Parameters:
  `a` - Longitude in radians
  `b` - Latitude in radians

## Method Details

### getLongitude

public double getLongitude()
Get the Longitude

Returns:
  Longitude in radians

### getLatitude

public double getLatitude()
Get the Latitude

Returns:
  Latitude in radians

### toString

public String toString()
Get the text form of the Galactic in the form [long,lat]

Overrides:
  `toString` in class `Object`